# Image Reports

## Generate Image Report

<mark style="color:green;">`POST`</mark> `https://api.imageseo.io/v1/external/projects/images`

This endpoint allows you to analyze the URL of an image or image file. One of the two is required (**imageFile** or **src)**

#### Headers

| Name           | Type   | Description      |
| -------------- | ------ | ---------------- |
| Authentication | string | {YOUR\_API\_KEY} |

#### Request Body

| Name      | Type   | Description                                                                   |
| --------- | ------ | ----------------------------------------------------------------------------- |
| lang      | string | Example : 'fr'. You can find the list of languages supported on /public/langs |
| imageFile | object | Image FILE ( Corresponds to a file )                                          |
| src       | string | Image URL                                                                     |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```javascript
{
    "success": true,
    "result": {
        "labels": [
            {
                "name": "Moths and butterflies",
                "score": 99.42726492881775,
                "entity": "/m/0d_2m",
                "link_google": "https://www.google.com/search?q=Moths and butterflies"
            }
        ],
        "alts": [
            {
                "name": "Operations management",
                "score": 71.43999934196472,
                "entity": "/m/06ck9d",
                "scoring": 0.7143999934196472,
                "link_google": "https://www.google.com/search?q=Operations management&tbm=isch"
            },
            {
                "name": "Management",
                "score": 63.349997997283936,
                "entity": "/m/04_tv",
                "scoring": 0.6334999799728394,
                "link_google": "https://www.google.com/search?q=Management&tbm=isch"
            }
        ]
        "src": "https://example.com/image",
        "height": "",
        "width": "",
        "weight": "224662",
        "encoding": null,
        "type": "URL"
    }
}
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```javascript
{
    "success": false,
    "code": "no_report"
}
```

{% endtab %}
{% endtabs %}

### Deprecated

Keys in the response are depreciated and should not be used.

* `alt` (use `alts` array)
* `a_vision`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imageseo.io/resources/image-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
